dht::crypto::DecryptError Class Reference

`#include <crypto.h>`

Inheritance diagram for dht::crypto::DecryptError:
[legend]
Collaboration diagram for dht::crypto::DecryptError:
[legend]

## Public Member Functions

| DecryptError (const std::string &str="")
Public Member Functions inherited from dht::crypto::CryptoException
| CryptoException (const std::string &str)

## Detailed Description

Exception thrown when a decryption error happened.

Definition at line 53 of file crypto.h.

## Constructor & Destructor Documentation

## DecryptError()

dht::crypto::DecryptError::DecryptError | ( | const std::string & | str = `""` | ) |

inline

Definition at line 55 of file crypto.h.

The documentation for this class was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/crypto.h